Page MenuHomePhabricator

Shall we rename Pywikibot-core Phabricator project to Pywikibot?
Closed, ResolvedPublic

Tokens
"Like" token, awarded by Ninjastrikers."Like" token, awarded by matej_suchanek."Like" token, awarded by Dalba."Party Time" token, awarded by Zoranzoki21.
Assigned To
Authored By
Dvorapa, May 29 2018

Event Timeline

Dvorapa created this task.May 29 2018, 4:38 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptMay 29 2018, 4:38 PM
Dvorapa removed a subscriber: Pywikibot.

Practically speaking, note that T76732 is not fully fixed.
Now that Phab offers subprojects (that was not the case in 2014 when we moved from Bugzilla to Phab) that might also be an option.

Vvjjkkii renamed this task from Shall we rename Pywikibot-core Phabricator project to Pywikibot? to u1baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from u1baaaaaaa to Shall we rename Pywikibot-core Phabricator project to Pywikibot?.Jul 2 2018, 3:22 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Dalba awarded a token.Jul 4 2018, 1:16 PM

Agree. Pywikibot (core) is the only active development branch for pywikibot at this moment.

Also the PWBC should be changed maybe to PWB

This does not need Project-Admins, anyone is free to do so via "Manage > Edit Details"

Dvorapa added a project: Project-Admins.EditedAug 3 2018, 5:37 PM

This does not need Project-Admins, anyone is free to do so via "Manage > Edit Details"

No, I can not edit details in https://phabricator.wikimedia.org/diffusion/PWBC/manage/storage/ or https://phabricator.wikimedia.org/diffusion/PWBC/manage/uris/

I can do it when the time comes.

@Dvorapa: Ah. I did not realize this is also about some Diffusion stuff and not only Maniphest. But still, nothing needed from Project-Admins here.

Dalba removed Dalba as the assignee of this task.Sep 29 2018, 10:53 AM
Dalba added a subscriber: Dalba.

I renamed Pywikibot-core to Pywikibot, but I don't have access for the diffusion part.

Also, if renaming them may break things up, I personally don't mind leaving them unchanged.

Xqt triaged this task as Low priority.Sep 29 2018, 2:41 PM
Xqt closed this task as Resolved.Mar 20 2019, 4:45 PM
Xqt claimed this task.
Xqt reassigned this task from Xqt to Dalba.Jun 12 2019, 10:06 AM
Xqt added a subscriber: Xqt.